Bug 100714 - /u/p/graphics/linux_dri broken
Summary: /u/p/graphics/linux_dri broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-emulation mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-22 11:50 UTC by Detlef Sax
Modified: 2006-07-31 14:21 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Detlef Sax 2006-07-22 11:50:12 UTC
/usr/ports/graphics/linux_dri (6.5)
is needed by /usr/ports/astro/google-earth
a make in google-eath results in an Error:

===>  Extracting for linux_dri-6.5
=> MD5 Checksum OK for Mesa-linux-bin-6.5.tar.bz2.
=> MD5 Checksum OK for linux-libglide.tar.gz.
=> MD5 Checksum OK for linux-dri-tools.tar.gz.
/usr/bin/tar: This does not look like a tar archive
/usr/bin/tar: Skipping to next header
/usr/bin/tar: Archive contains obsolescent base-64 headers
/usr/bin/tar: Error exit delayed from previous errors
*** Error code 1
Stop in /usr/ports/graphics/linux_dri.
*** Error code 1

The Voodoo is that you can copy linux-dri-tools.tar.gz to e.g.
/var/tmp and extract it with tar without any problem. All the tree
included tarballs can be extracted by tar as well.
But not via make. And a make in the ports never had given me such an error message.
This is Voodoo.

Fix: 

Another Voodoo spell?
How-To-Repeat: cd /usr/ports/astro/google-earth
make
(if using an i386, linux_dri doesn't build on a amd64)
Comment 1 Edwin Groothuis freebsd_committer 2006-07-22 12:55:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-emulation

Over to maintainer
Comment 2 Detlef Sax 2006-07-24 11:15:02 UTC
Got a response in Usenet. To extract these tarballs on a 4.x FreeBSD
it's neccessary to edit /usr/ports/Mk/bsd.port.mk
and change the TAR varibable to /usr/local/bin/bsdtar.
Which must of course be present in the system.
Thanks to Usenet again.
D. Sax
Comment 3 Alexander Leidinger freebsd_committer 2006-07-31 14:17:17 UTC
State Changed
From-To: open->closed

I marked the port as IGNORE on 4.x. I don't have a suitable system to 
test/determine how to fix it in the port.